do-release-upgrade causing tracebacks with no_longer_supported string

Bug #1370243 reported by Brian Murray on 2014-09-16
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-release-upgrader (Ubuntu)
High
Michael Vogt
Utopic
High
Michael Vogt

Bug Description

The no longer supported error message is causing tracebacks for some translations. Here is the code from do-release-upgrade:

120 # make sure to inform the user if his distro is no longer supported
121 # this will make it appear in motd (that calls do-release-upgrade in
122 # check-new-release mode)
123 if m.no_longer_supported is not None:
124 url = "http://www.ubuntu.com/releaseendoflife"
125 print(_("Your Ubuntu release is not supported anymore."))
126 print(_("For upgrade information, please visit:\n"
127 "%(url)s\n") % { 'url' : url })

Here is the Traceback.

Traceback (most recent call last):
  File "/usr/bin/do-release-upgrade", line 123, in <module>
    "%(url)s\n") % { 'url' : url })
ValueError: unsupported format character '?' (0xa) at index 44

One bucket of these can be found in the Error Tracker at:

https://errors.ubuntu.com/problem/c7159433982de174092fa1b17efad3eff4a15f63

We can see this is an issue with the ru translation.

#: ../do-release-upgrade:122
msgid ""
"For upgrade information, please visit:\n"
"%(url)s\n"
msgstr ""
"Для получения информации об обновлении посетите:\n"
"%(url)\n"

Notice the missing "s".

Brian Murray (brian-murray) wrote :

The it translation switches the % to a $.

#: ../do-release-upgrade:122
msgid ""
"For upgrade information, please visit:\n"
"%(url)s\n"
msgstr ""
"Per informazioni sull'avanzamento consultare:\n"
"$(url)s\n"

Changed in ubuntu-release-upgrader (Ubuntu Utopic):
importance: Undecided → High
assignee: nobody → Michael Vogt (mvo)
Brian Murray (brian-murray) wrote :

mvo - Do you have any ideas how we can avoid this in the future? Does "%(url)s\n" need to be translatable?

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:15.04.14

---------------
ubuntu-release-upgrader (1:15.04.14) vivid; urgency=low

  [ Michael Vogt ]
  * make i18n more robust, thanks to Brian Murray (LP: #1370243)

  [ Brian Murray ]
  * po/*.po:
    - automatic launchpad translation update
 -- Brian Murray <email address hidden> Fri, 17 Apr 2015 10:13:11 -0700

Changed in ubuntu-release-upgrader (Ubuntu):
status: New → Fix Released
Rolf Leggewie (r0lf) wrote :

utopic has seen the end of its life and is no longer receiving any updates. Marking the utopic task for this ticket as "Won't Fix".

Changed in ubuntu-release-upgrader (Ubuntu Utopic):
status: New → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers